FLANG

Public Member Functions | Public Attributes | List of all members
Fortran::parser::ArrayElement Struct Reference

## Public Member Functions
| BOILERPLATE (ArrayElement)
| ArrayElement (DataRef &&dr, std::list< SectionSubscript > &&ss)
Substring | ConvertToSubstring ()
StructureConstructor | ConvertToStructureConstructor (const semantics::DerivedTypeSpec &)

## Public Attributes
DataRef | base
std::list< SectionSubscript > | subscripts

The documentation for this struct was generated from the following files:

- include/flang/Parser/parse-tree.h
- lib/Parser/parse-tree.cpp